Page MenuHomePhabricator

Create a generic #Goal tag
Closed, ResolvedPublic

Description

Create a generic Goal tag similar to Release (see T99143: Create a generic "Release" tag in Phabricator) to be used in tasks defined by end status and grouping more subtasks.

Project type: Goal
Name: Goal
Optional hashtatgs: Goal
Project description: Generic tag to mark a task which is for projects without a defined ending date but which can be definitely realistically be defined as finished at some point.
Visible To: Public (no login required)
Editable By: All Users
Joinable By: All Users

Event Timeline

Danny_B created this task.Feb 15 2016, 6:10 PM
Danny_B claimed this task.
Danny_B raised the priority of this task from to Normal.
Danny_B updated the task description. (Show Details)
Danny_B added a project: Project-Admins.
Danny_B added a subscriber: Danny_B.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2016, 6:10 PM

I wonder if this would really be identifying other sorts of tasks (e.g. like trackers) with a huge list of blockers that maybe should become projects of their own.

I wonder if this would really be identifying other sorts of tasks (e.g. like trackers) with a huge list of blockers that maybe should become projects of their own.

One of the purposes is exactly to replace clearly misused Tracking-Neverending tag, since there is currently obviously not such a big will to convert those to the real goal.

Aklapper raised the priority of this task from Normal to Needs Triage.Feb 16 2016, 9:48 AM

If enough people/teams express a need to have a "goal" tag and if the Team Practices Group also expressed that it's a welcome idea and does not collide with milestones etc, this tag could be created.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 16 2016, 9:48 AM

As wrote above, there is a clear misuse of Tracking-Neverending tag for Goal purposes. It's not about expressing of teams but about cleaning up the current mess in Phabricator which hasn't been cleaned up for long time to make it better searchable and more usable than it is now. Proper tags should be used, improrper tags must not be abused for inappropriate tasks marking.

It seems correct to remove Tracking-Neverending from such tasks but I don't yet see an argument why to create a Goal tag and why people would use a Goal tag. See my previous comment.

Aklapper changed the task status from Open to Stalled.Mar 10 2016, 12:52 PM

there is a clear misuse of Tracking-Neverending tag for Goal purposes [...] make it better searchable

Good aim. What searching is made harder by said "abuse" of the Tracking-Neverending tag/class?

Luke081515 triaged this task as Low priority.May 3 2016, 9:40 PM

Good aim. What searching is made harder by said "abuse" of the Tracking-Neverending tag/class?

Until this is answered, I suggest to close invalid.

It seems correct to remove Tracking-Neverending from such tasks but I don't yet see an argument why to create a Goal tag and why people would use a Goal tag. See my previous comment.

They already "use" it - they put it in task title...

Nemo_bis removed a subscriber: Nemo_bis.May 14 2016, 3:54 PM

I see tasks like https://phabricator.wikimedia.org/T70860 or https://phabricator.wikimedia.org/T825 having "Goal" in the task summary but also project tags like Epic... Hence I have to ask: Is there some migration strategy (plans to edit task summaries / mass-add this new project tag to a bunch of tasks) or not?

Which team(s) / other individuals plan to use this tag?

  1. Tasks with "Goal" in title (not conflicting with other tag, otherwise see bellow) should be tagged with Goal and have "goal" erased from title. This is routine maintenance doable in bulk and doesn't require any particular team memeber to participate.
  2. Tasks marked "Tracking" which are defined by end status and grouping more subtasks should be retagged to Goal. This is routine maintenance doable in bulk and doesn't require any particular team memeber to participate.
  3. Some Scrum/Agile people complained that Epic is being misused for things which are not epics (ie. no breakdown to stories, but list of dependencies) Those should be retagged as well. This is continuous work which will require some review either from Scrum/Agile people or from team members / PMs. It is not supposed to be done in bulk.

ATM there is ~40+ open tasks with "goal" tag in title.

I refer to T134611#2296983 for a similar use case quest.

What is the use case for organising these completely unrelated goals? They would be goals for unrelated WMF departments (Labs, Ops, RelEng, Editing, Reading, ..), WMDE, individual volunteer projects, and more.

Any task that has sub tasks is in essence a tracking task or goal. But what is the added value of creating this boolean meta tag?

Seriously? Why do we have Epic, Story, Category (formerly #milestone), Spike, Release etc. then? Why do we actually have Tracking-Neverending then? And how about WorkType-Maintenance & WorkType-NewFunctionality & Unplanned-Sprint-Work combo? Why do we have any tags then? They all mark tasks "for unrelated WMF departments (Labs, Ops, RelEng, Editing, Reading, ..), WMDE, individual volunteer projects, and more." And that's the basic nature of tags - being crossproject.

(I actually wonder why we have them all.)

matmarex removed a subscriber: matmarex.Jul 13 2016, 1:00 AM

Seriously? Why do we have Epic, Story, Category (formerly #milestone), Spike, Release etc. then?

They each serve different purposes for different scales of planning and different teams' work patterns.

Why do we actually have Tracking-Neverending then?

Indeed. As I've said repeatedly, we shouldn't have a Tracking-Neverending tag.

And how about WorkType-Maintenance & WorkType-NewFunctionality

That's for https://www.mediawiki.org/wiki/Team_Practices_Group/Measuring_Types_of_Work which is winding down, I think (?). It's orthogonal to the rest.

& Unplanned-Sprint-Work combo?

That's for post-hoc explanations of sprint velocity deviations, I believe. I'm not part of any teams that use it, though.

Why do we have any tags then? They all mark tasks "for unrelated WMF departments (Labs, Ops, RelEng, Editing, Reading, ..), WMDE, individual volunteer projects, and more." And that's the basic nature of tags - being crossproject.

Yes. You're welcome to leave the tags for the rest of us to apply if you feel they're not your favourite part of Phabricator; I can understand why. :-)

  1. Tasks with "Goal" in title (not conflicting with other tag, otherwise see bellow) should be tagged with Goal and have "goal" erased from title.

@Danny_B: The title prefix should only be erased if teams have explicitly agreed beforehand as different teams use different approaches to organize their work. See Z308#6015.

What is the actual harm in having more tags that are only used by specific people / groups / teams? Projects are light-weight objects in phabricator which do not have much inherent cost.

Alright - so let's create this tag and after creation keep T127007#2457724 in mind.

Danny_B closed this task as Resolved.Aug 13 2016, 8:37 PM
Danny_B added a project: Goal.

Goal created